Data Sources API
List Data Sources
GET /api/rag/pipelines/[id]/sources
Returns all data sources associated with the specified pipeline.
Add Data Source
POST /api/rag/pipelines/[id]/sources
Adds a new data source to the pipeline.
Body:
type(string):text,file,url, orapiname(string): Display name for the sourcecontent(string): Fortexttypeurl(string): ForurlorapitypefileName(string): ForfiletypefileSize(number): Forfiletype
- If type is
text,url, orapi: The source is created and a background ingestion process is triggered automatically. Returns the source. - If type is
file: Returns the source AND auploadUrl(a Google Cloud Storage signed URL). The client must then PUT the file binary to that URL.
Delete Data Source
DELETE /api/rag/pipelines/[id]/sources/[sourceId]
Deletes the data source. If it was a file, it also deletes the file from Google Cloud Storage.
